// ===========================================================================
// CONTENT  : CLASS AddRequest
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 30/06/2006
// HISTORY  :
//  30/06/2006  mdu  CREATED
//
// Copyright (c) 2006, by M.Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

// ===========================================================================
// IMPORTS
// ===========================================================================
import org.pf.directory.ldap.LDAPDirEntry;

/**
 * Represent a a request to add an object
 *
 * @author M.Duchrow
 * @version 1.0
 */
public class AddRequest extends RequestMessage
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
  private LDAPDirEntry entry = null ;
  public LDAPDirEntry getEntry() { return entry ; }
  public void setEntry( LDAPDirEntry newValue ) { entry = newValue ; }

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public AddRequest()
  {
    super() ;
  } // AddRequest()

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  /**
   * Returns true if the receiver is a add request.
   */
  public boolean isAddRequest() 
  {
  	return true ;
  } // isAddRequest() 
  
  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================
	protected String getName()
	{
		return "AddRequest" ;
	} // getName() 
	
	// -------------------------------------------------------------------------

} // class AddRequest
