// ===========================================================================
// CONTENT  : CLASS AddResponse
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 30/06/2006
// HISTORY  :
//  30/06/2006  mdu  CREATED
//
// Copyright (c) 2006, by M.Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

import org.pf.directory.DistinguishedName;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Response for an add resquest
 *
 * @author M.Duchrow
 * @version 1.0
 */
public class AddResponse extends ResponseMessage
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public AddResponse( AddRequest request )
  {
    super( request ) ;
  } // AddResponse()

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  public boolean isAddResponse() 
  {
  	return true ;
  } // isAddResponse() 
  
  // -------------------------------------------------------------------------
  
  public void entryAlreadyExists( DistinguishedName dn, String text ) 
	{
  	this.setResponseCode( LDAP_ENTRY_ALREADY_EXISTS ) ;
		this.setDN( dn.toString() ) ;
		this.setMessageText( text ) ;
	} // entryAlreadyExists()
	
	// -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================
  protected String getName() 
	{
		return "AddResponse" ;
	} // getName() 

	// -------------------------------------------------------------------------
  
} // class AddResponse
