// ===========================================================================
// CONTENT  : CLASS DeleteResponse
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 30/06/2006
// HISTORY  :
//  30/06/2006  mdu  CREATED
//
// Copyright (c) 2006, by M.Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Response for delete requests
 *
 * @author M.Duchrow
 * @version 1.0
 */
public class DeleteResponse extends ResponseMessage
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public DeleteResponse( DeleteRequest request )
  {
    super( request ) ;
  } // DeleteResponse()

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  public boolean isDeleteResponse() 
	{
		return true ;
	} // isDeleteResponse() 

	// -------------------------------------------------------------------------
  
  public void notAllowedOnNonLeaf( String matchedDN, String text ) 
  {
  	this.setResponseCode( LDAP_NOT_ALLOWED_ON_NON_LEAF ) ;
  	if ( matchedDN != null )
  	{
  		this.setDN( matchedDN ) ;
  	}
  	this.setMessageText( text ) ;
  } // notAllowedOnNonLeaf() 
  
  // -------------------------------------------------------------------------
  
  public void noSuchObject( String matchedDN, String text ) 
  {
  	this.setResponseCode( LDAP_NO_SUCH_OBJECT ) ;
  	if ( matchedDN != null )
		{
  		this.setDN( matchedDN ) ;
		}
  	this.setMessageText( text ) ;
  } // noSuchObject() 
  
  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================
  protected String getName() 
	{
		return "DeleteResponse" ;
	} // getName() 

	// -------------------------------------------------------------------------
  
} // class DeleteResponse
