// ===========================================================================
// CONTENT  : CLASS ResultResponse
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.1 - 27/06/2006
// HISTORY  :
//  08/08/2004  mdu  CREATED
//	27/06/2006	mdu		added		-->	noSuchObject()
//
// Copyright (c) 2004-2006, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * A response message that only contains the return code and optionally a
 * message text. 
 *
 * @author Manfred Duchrow
 * @version 1.1
 */
public class ResultResponse extends ResponseMessage
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with a request message.
   * That is useful to copy the message id from the request to the corresponding
   * response. 
   */
  public ResultResponse( RequestMessage request )
  {
    super( request ) ;
  } // ResultResponse() 

  // -------------------------------------------------------------------------
  
  /**
   * Initialize the new instance with a message id.
   */
  public ResultResponse( int msgId )
  {
    super( msgId ) ;
  } // ResultResponse() 

  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  public boolean isBasicResult() 
	{
		return true ;
	} // isBasicResult() 

	// -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================
	protected String getName()
	{
		return "ResultResponse" ;
	} // getName() 
	
	// -------------------------------------------------------------------------

} // class ResultResponse 
