// ===========================================================================
// CONTENT  : ABSTRACT CLASS SearchResponse
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 14/07/2004
// HISTORY  :
//  14/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Abstract superclass of the search response messages
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
abstract public class SearchResponse extends ResponseMessage
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  protected SearchResponse( SearchRequest request )
  {
    super( request ) ;
  } // SearchResponse() 

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  @Override
  public boolean isSearchResponse()
  {
  	return true ;
  } // isSearchResponse() 
  
  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class SearchResponse 
