// ===========================================================================
// CONTENT  : ABSTRACT CLASS LDAPRequestException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.1 - 16/05/2010
// HISTORY  :
//  08/07/2004  mdu  CREATED
//	16/05/2010	mdu		added		-->	messageId
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.protocol ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Root exception of all exception that can occur during parsing of LDAP
 * requests.
 *
 * @author Manfred Duchrow
 * @version 1.1
 */
abstract public class LDAPRequestException extends Exception
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
  private int messageId = -1 ;
  public int getMessageId() { return messageId ; }
  public void setMessageId( int newValue ) { messageId = newValue ; }

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  protected LDAPRequestException()
  {
    super() ;
  } // LDAPRequestException()

  // -------------------------------------------------------------------------

  /**
   * Initialize the new instance with default values.
   */
  protected LDAPRequestException( String message )
  {
    super( message ) ;
  } // LDAPRequestException()

  // -------------------------------------------------------------------------

  /**
   * Initialize the new instance with default values.
   */
  protected LDAPRequestException( int msgId, String message )
  {
  	this( message ) ;
  	this.setMessageId( msgId );
  } // LDAPRequestException()

  // -------------------------------------------------------------------------

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class LDAPRequestException
