// ===========================================================================
// CONTENT  : CLASS LDAPUnknownRequestException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.1 - 16/05/2010
// HISTORY  :
//  08/07/2004  mdu  CREATED
//	16/05/2010	mdu		changed	-->	messageId moved to superclass
//
// Copyright (c) 2004-2010, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.protocol ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Will be thrown whenever a request could not be identified
 *
 * @author Manfred Duchrow
 * @version 1.1
 */
public class LDAPUnknownRequestException extends LDAPRequestException
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
	private int requestId = -1 ;
  public int getRequestId() { return requestId ; }
  public void setRequestId( int newValue ) { requestId = newValue ; }

  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public LDAPUnknownRequestException( int messageId, int requestId )
  {
    super(messageId, "Unknown Request") ;
    this.setRequestId( requestId ) ;
  } // LDAPUnknownRequestException()

  // -------------------------------------------------------------------------

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class LDAPUnknownRequestException
