// ===========================================================================
// CONTENT  : CLASS LDAPVersionNotSupportedException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.1 - 16/05/2010
// HISTORY  :
//  08/07/2004  mdu  CREATED
//	16/05/2010	mdu		changed	-->	to support msgId
//
// Copyright (c) 2004-2010, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.protocol ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Thrown if an unsupported LDAP version is used.
 *
 * @author Manfred Duchrow
 * @version 1.1
 */
public class LDAPVersionNotSupportedException extends LDAPRequestException
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
  private int version = -1 ;
  public int getVersion() { return version ; }
  public void setVersion( int newValue ) { version = newValue ; }

  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public LDAPVersionNotSupportedException( int version, int msgId )
  {
    super(msgId,"Protocol version not supported: " + version) ;
    this.setVersion( version ) ;
  } // LDAPVersionNotSupportedException()

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class LDAPVersionNotSupportedException
