// ===========================================================================
// CONTENT  : CLASS UnsupportedFilterOperation
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 10/07/2004
// HISTORY  :
//  10/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.protocol ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Will be thrown if operators are used in a filter that are not supported 
 * by this LDAP server 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class UnsupportedFilterOperation extends LDAPRequestException
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public UnsupportedFilterOperation()
  {
    super() ;
  } // UnsupportedFilterOperation() 

  // -------------------------------------------------------------------------
  
	/**
	 * @param message A message for the exception
	 */
	public UnsupportedFilterOperation( String message )
	{
		super( message );
	} // UnsupportedFilterOperation()

	// -------------------------------------------------------------------------
  
  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class UnsupportedFilterOperation 
