// ===========================================================================
// CONTENT  : CLASS SequenceInfo
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 10/07/2004
// HISTORY  :
//  10/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.protocol.ber;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Contains the tag identifier of a sequence and the length.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class SequenceInfo
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
  private int tag = 0 ;
  public int getTag() { return tag ; }
  public void setTag( int newValue ) { tag = newValue ; }
  
  private int length = 0 ;
  public int getLength() { return length ; }
  public void setLength( int newValue ) { length = newValue ; }  
  
  private int endPos = 0 ;
  protected int getEndPos() { return endPos ; }
  protected void setEndPos( int newValue ) { endPos = newValue ; }  
  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public SequenceInfo( int tag, int len, int pos )
  {
    super() ;
    this.setTag( tag ) ;
    this.setLength( len ) ;
    this.setEndPos( pos + len - 1 ) ;
  } // SequenceInfo()

  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  public String toString() 
	{
		return "tag: " + this.getTag() + " length: " + this.getLength() ;
	} // toString()

	// -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class SequenceInfo
