// ===========================================================================
// CONTENT  : CLASS IsNotContainerException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 11/07/2004
// HISTORY  :
//  11/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.server ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Will be thrown if a LDAP container object was expected but the found object
 * is not a container.
 * The exception's message contains the dn of the found object 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class IsNotContainerException extends LDAPProcessingException
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public IsNotContainerException()
  {
    super() ;
  } // IsNotContainerException()
  
  // -------------------------------------------------------------------------

  /**
   * Initialize the new instance with a dn.
   */
  public IsNotContainerException( String dn )
  {
    super(dn) ;
  } // IsNotContainerException()
  
  // -------------------------------------------------------------------------

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class IsNotContainerException
